<template>
<div class="table-wrapper-scroll-y my-custom-scrollbar">
    <table class="table table-bordered table-files"> 
        <thead id="head">                 
            <tr >
                <th >Nombre entidad</th>
                <th >Fecha registro</th>
                <th >Usuario</th>
            </tr>
        </thead>
        <tbody v-for="usuario in usuarios" :key="usuario.id_usuario">
            <tr  v-if="usuario.id_estado == 4">
                    <td>
                        <i class="fas fa-landmark"></i>
                        {{ usuario.data_usuario[0].nombre_entidad }}
                    </td>
                    <td>
                        {{ moment(usuario.created_at).format('YYYY-MM-DD') }}
                    </td>
                    <td>
                        {{ usuario.nombres_usuario }} {{ usuario.apellidos_usuario }}
                    </td>
            </tr>
        </tbody>
    </table>
</div>
</template>

<script>
export default {
    props: ['ruta'],
    methods: {
        loadData() {
            let url = this.url + '/api/get_usuarios';
            this.axios.get(url).then(response => {
                this.usuarios = response.data;
            });
        }
    },
    data() {
        return {
            url: document.head.querySelector('meta[name="url"]').content,
            usuarios: [],
            fullscreenLoading : false,
        }
    },
    created() {
        this.loadData();
    },
    }
</script>

<style>
.my-custom-scrollbar {
    position: relative;
    height: 387px;
    overflow: auto;
}
.table-wrapper-scroll-y {
    display: block;
}
#head th {
    position: sticky; 
    top: 0;
    z-index: 1;
    background:rgb(255, 255, 255);
}
</style>